Subject: bug#15200: isearch-other-meta-char and shift

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Sep 2013 21:21:30 -0400

> set-temporary-overlay-map could be added later too if possible.

Why bother?

> Maybe I'm missing something, but it seems working without
> local-function-key-map and without much of other legacy code.

That's the intention.  Much of that code was trying to reproduce the
normal behavior (prevented by the [t] binding), or to undo the direct
effect of the [t] binding.

> Also I removed `universal-argument-num-events' in the patch,
> but now typing:
> `C-s C-3 C-l' doubles the arg 3 in prefix-arg to 33,
> `C-s C-4 C-l' doubles the arg 4 in prefix-arg to 44, etc.

Aha, now it's getting more interesting: the interaction between various
commands using overriding-terminal-local-map.  I'll take a look at it.

        Stefan